Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Class CoverageFormat1

    java.lang.Object
      org.apache.batik.svggen.font.table.Coverage
          org.apache.batik.svggen.font.table.CoverageFormat1

public class CoverageFormat1
extends Coverage

Constructor Summary
`protected` | `CoverageFormat1(java.io.RandomAccessFile raf)` Creates new CoverageFormat1

Method Summary
`int` | `findGlyph(int glyphId)`
`int` | `getFormat()`

Methods inherited from class org.apache.batik.svggen.font.table.Coverage
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoverageFormat1

    protected CoverageFormat1(java.io.RandomAccessFile raf)
                       throws java.io.IOException

  Creates new CoverageFormat1

Method Detail

### getFormat

    public int getFormat()

  Specified by:
    `getFormat` in class `Coverage`

### findGlyph

    public int findGlyph(int glyphId)

  Specified by:
    `findGlyph` in class `Coverage`
  Parameters:
    `glyphId` - The ID of the glyph to find.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.